Index: trunk/NEMOGCM/NEMO/TOP_SRC/PISCES/trcice_pisces.F90
===================================================================
--- trunk/NEMOGCM/NEMO/TOP_SRC/PISCES/trcice_pisces.F90	(revision 5725)
+++ trunk/NEMOGCM/NEMO/TOP_SRC/PISCES/trcice_pisces.F90	(revision 7646)
@@ -5,10 +5,4 @@
    !!======================================================================
    !! History :  3.5  ! 2013    (M. Vancoppenolle, O. Aumont, G. Madec), original code
-   !! Comment ! probably not properly done when the second particle export
-   !! scheme (kriest) is used
-   !!----------------------------------------------------------------------
-#if defined key_pisces || defined key_pisces_reduced
-   !!----------------------------------------------------------------------
-   !!   'key_pisces'                                       PISCES bio-model
    !!----------------------------------------------------------------------
    !! trc_ice_pisces   : PISCES fake sea ice model setting
@@ -18,5 +12,4 @@
    USE oce_trc         ! Shared variables between ocean and passive tracers
    USE trc             ! Passive tracers common variables 
-   USE phycst          ! Ocean physics parameters
    USE sms_pisces      ! PISCES Source Minus Sink variables
    USE in_out_manager
@@ -37,6 +30,6 @@
       !!----------------------------------------------------------------------
 
-      IF( lk_p4z ) THEN  ;   CALL p4z_ice_ini   !  PISCES
-      ELSE               ;   CALL p2z_ice_ini   !  LOBSTER
+      IF( ln_p4z .OR. ln_p5z ) THEN  ;   CALL p4z_ice_ini   !  PISCES
+      ELSE                           ;   CALL p2z_ice_ini   !  LOBSTER
       ENDIF
 
@@ -45,6 +38,4 @@
 
    SUBROUTINE p4z_ice_ini
-
-#if defined key_pisces 
       !!----------------------------------------------------------------------
       !!                   ***  ROUTINE p4z_ice_ini ***
@@ -75,6 +66,6 @@
 
                                         !--- Dummy variables
-      REAL(wp), DIMENSION(jp_pisces,2)  :: zratio  ! effective ice-ocean tracer cc ratio
-      REAL(wp), DIMENSION(jp_pisces,4)  :: zpisc   ! prescribes concentration 
+      REAL(wp), DIMENSION(jpmaxtrc,2) :: zratio  ! effective ice-ocean tracer cc ratio
+      REAL(wp), DIMENSION(jpmaxtrc,4) :: zpisc   ! prescribes concentration 
       !                                            !  1:global, 2:Arctic, 3:Antarctic, 4:Baltic
 
@@ -107,10 +98,6 @@
       zpisc(jppo4,1) =  5.77e-7_wp / po4r 
       zpisc(jppoc,1) =  1.27e-6_wp  
-#  if ! defined key_kriest
       zpisc(jpgoc,1) =  5.23e-8_wp  
       zpisc(jpbfe,1) =  9.84e-13_wp 
-#  else
-      zpisc(jpnum,1) = 0. ! could not get this value since did not use it
-#  endif
       zpisc(jpsil,1) =  7.36e-6_wp  
       zpisc(jpdsi,1) =  1.07e-7_wp 
@@ -129,4 +116,21 @@
       zpisc(jpnh4,1) =  3.22e-7_wp / rno3
 
+      ! ln_p5z
+      zpisc(jppic,1) =  9.57e-8_wp
+      zpisc(jpnpi,1) =  9.57e-8_wp
+      zpisc(jpppi,1) =  9.57e-8_wp
+      zpisc(jppfe,1) =  1.76e-11_wp
+      zpisc(jppch,1) =  1.67e-7_wp
+      zpisc(jpnph,1) =  9.57e-8_wp
+      zpisc(jppph,1) =  9.57e-8_wp
+      zpisc(jpndi,1) =  4.24e-7_wp
+      zpisc(jppdi,1) =  4.24e-7_wp
+      zpisc(jppon,1) =  9.57e-8_wp
+      zpisc(jppop,1) =  9.57e-8_wp
+      zpisc(jpdon,1) =  2.04e-5_wp
+      zpisc(jpdop,1) =  2.04e-5_wp
+      zpisc(jpgon,1) =  5.23e-8_wp
+      zpisc(jpgop,1) =  5.23e-8_wp
+
       !--- Arctic specificities (dissolved inorganic & DOM)
       zpisc(jpdic,2) =  1.98e-3_wp 
@@ -137,10 +141,6 @@
       zpisc(jppo4,2) =  4.09e-7_wp / po4r 
       zpisc(jppoc,2) =  4.05e-7_wp  
-#  if ! defined key_kriest
       zpisc(jpgoc,2) =  2.84e-8_wp  
       zpisc(jpbfe,2) =  7.03e-13_wp 
-#  else
-      zpisc(jpnum,2) =  0.00e-00_wp 
-#  endif
       zpisc(jpsil,2) =  6.87e-6_wp  
       zpisc(jpdsi,2) =  1.73e-7_wp 
@@ -159,4 +159,21 @@
       zpisc(jpnh4,2) =  6.15e-08_wp / rno3 
 
+      ! ln_p5z
+      zpisc(jppic,2) =  5.25e-7_wp
+      zpisc(jpnpi,2) =  5.25e-7_wp
+      zpisc(jpppi,2) =  5.25e-7_wp
+      zpisc(jppfe,2) =  1.75e-11_wp
+      zpisc(jppch,2) =  1.46e-07_wp
+      zpisc(jpnph,2) =  5.25e-7_wp
+      zpisc(jppph,2) =  5.25e-7_wp
+      zpisc(jpndi,2) =  7.75e-7_wp
+      zpisc(jppdi,2) =  7.75e-7_wp
+      zpisc(jppon,2) =  4.05e-7_wp
+      zpisc(jppop,2) =  4.05e-7_wp
+      zpisc(jpdon,2) =  6.00e-6_wp
+      zpisc(jpdop,2) =  6.00e-6_wp
+      zpisc(jpgon,2) =  2.84e-8_wp
+      zpisc(jpgop,2) =  2.84e-8_wp
+
       !--- Antarctic specificities (dissolved inorganic & DOM)
       zpisc(jpdic,3) =  2.20e-3_wp  
@@ -167,10 +184,6 @@
       zpisc(jppo4,3) =  1.88e-6_wp / po4r  
       zpisc(jppoc,3) =  1.13e-6_wp  
-#  if ! defined key_kriest
       zpisc(jpgoc,3) =  2.89e-8_wp  
       zpisc(jpbfe,3) =  5.63e-13_wp 
-#  else
-      zpisc(jpnum,3) =  0.00e-00_wp 
-#  endif
       zpisc(jpsil,3) =  4.96e-5_wp  
       zpisc(jpdsi,3) =  5.63e-7_wp 
@@ -189,4 +202,22 @@
       zpisc(jpnh4,3) =  3.39e-7_wp / rno3  
 
+      ! ln_p5z
+      zpisc(jppic,3) =  8.10e-7_wp
+      zpisc(jpnpi,3) =  8.10e-7_wp
+      zpisc(jpppi,3) =  8.10e-7_wp 
+      zpisc(jppfe,3) =  1.48e-11_wp
+      zpisc(jppch,3) =  2.02e-7_wp
+      zpisc(jpnph,3) =  9.57e-8_wp
+      zpisc(jppph,3) =  9.57e-8_wp
+      zpisc(jpndi,3) =  5.77e-7_wp
+      zpisc(jppdi,3) =  5.77e-7_wp
+      zpisc(jppon,3) =  1.13e-6_wp
+      zpisc(jppop,3) =  1.13e-6_wp
+      zpisc(jpdon,3) =  7.02e-6_wp
+      zpisc(jpdop,3) =  7.02e-6_wp
+      zpisc(jpgon,3) =  2.89e-8_wp
+      zpisc(jpgop,3) =  2.89e-8_wp
+
+
       !--- Baltic Sea particular case for ORCA configurations
       zpisc(jpdic,4) = 1.14e-3_wp
@@ -197,10 +228,6 @@
       zpisc(jppo4,4) = 2.85e-9_wp / po4r
       zpisc(jppoc,4) = 4.84e-7_wp
-#  if ! defined key_kriest
       zpisc(jpgoc,4) = 1.05e-8_wp
       zpisc(jpbfe,4) = 4.97e-13_wp
-#  else
-      zpisc(jpnum,4) = 0. ! could not get this value
-#  endif
       zpisc(jpsil,4) = 4.91e-5_wp
       zpisc(jpdsi,4) = 3.25e-7_wp
@@ -218,4 +245,21 @@
       zpisc(jpno3,4) = 5.36e-5_wp / rno3
       zpisc(jpnh4,4) = 7.18e-7_wp / rno3
+
+      ! ln_p5z
+      zpisc(jppic,4) =  6.64e-7_wp
+      zpisc(jpnpi,4) =  6.64e-7_wp
+      zpisc(jpppi,4) =  6.64e-7_wp
+      zpisc(jppfe,4) =  3.89e-11_wp
+      zpisc(jppch,4) =  1.17e-7_wp
+      zpisc(jpnph,4) =  6.64e-7_wp
+      zpisc(jppph,4) =  6.64e-7_wp
+      zpisc(jpndi,4) =  3.41e-7_wp
+      zpisc(jppdi,4) =  3.41e-7_wp
+      zpisc(jppon,4) =  4.84e-7_wp
+      zpisc(jppop,4) =  4.84e-7_wp
+      zpisc(jpdon,4) =  1.06e-5_wp
+      zpisc(jpdop,4) =  1.06e-5_wp
+      zpisc(jpgon,4) =  1.05e-8_wp
+      zpisc(jpgop,4) =  1.05e-8_wp
  
       DO jn = jp_pcs0, jp_pcs1
@@ -225,5 +269,5 @@
             WHERE( gphit(:,:) <  0._wp ) ; trc_o(:,:,jn) = zpisc(jn,3) ; END WHERE ! Antarctic 
          ENDIF
-         IF( cp_cfg == "orca" ) THEN     !  Baltic Sea particular case for ORCA configurations
+         IF( cn_cfg == "orca" ) THEN     !  Baltic Sea particular case for ORCA configurations
              WHERE( 14._wp <= glamt(:,:) .AND. glamt(:,:) <= 32._wp .AND.    &
                     54._wp <= gphit(:,:) .AND. gphit(:,:) <= 66._wp )
@@ -264,5 +308,5 @@
        
          !-- Baltic
-         IF( cp_cfg == "orca" ) THEN  ! Baltic treated seperately for ORCA configs
+         IF( cn_cfg == "orca" ) THEN  ! Baltic treated seperately for ORCA configs
             IF ( trc_ice_ratio(jn) >= - 1._wp ) THEN ! no prescribed conc. ; typically everything but iron) 
                WHERE( 14._wp <= glamt(:,:) .AND. glamt(:,:) <= 32._wp .AND.    &
@@ -279,10 +323,8 @@
       !
       END DO ! jn
-#endif
-
+      !
    END SUBROUTINE p4z_ice_ini
 
    SUBROUTINE p2z_ice_ini
-#if defined key_pisces_reduced 
       !!----------------------------------------------------------------------
       !!                   ***  ROUTINE p2z_ice_ini ***
@@ -290,16 +332,6 @@
       !! ** Purpose :   Initialisation of the LOBSTER biochemical model
       !!----------------------------------------------------------------------
-#endif
    END SUBROUTINE p2z_ice_ini
 
-
-#else
-   !!----------------------------------------------------------------------
-   !!   Dummy module                            No PISCES biochemical model
-   !!----------------------------------------------------------------------
-CONTAINS
-   SUBROUTINE trc_ice_ini_pisces         ! Empty routine
-   END SUBROUTINE trc_ice_ini_pisces
-#endif
 
    !!======================================================================
